Index: trunk/template/default/admin/edit_cat.vtp
===================================================================
--- trunk/template/default/admin/edit_cat.vtp	(revision 15)
+++ trunk/template/default/admin/edit_cat.vtp	(revision 15)
@@ -0,0 +1,48 @@
+<!--VTP_confirmation-->
+<div style="color:red;text-align:center;">
+  {#editcat_confirm} [ <a href="{#back_url}">{#editcat_back}</a> ]</div>
+<!--/VTP_confirmation-->
+<form action="{#form_action}" method="post">
+  <table style="width:100%;">
+    <tr>
+      <th colspan="2">{#editcat_title1} "{#cat:name}" [ {#cat:dir} ]</th>
+    </tr>
+    <!--VTP_server-->
+    <tr>
+      <td style="width:20%;">{#remote_site}</td>
+      <td class="row2">{#url}</td>
+    </tr>
+    <!--/VTP_server-->
+    <tr>
+      <td style="width:20%;">{#editcat_name}</td>
+      <td class="row2">
+        <input type="text" name="name" value="{#name}" maxlength="255"/>
+      </td>
+    </tr>
+    <tr>
+      <td style="width:20%;">{#editcat_comment}</td>
+      <td class="row2">
+        <textarea name="comment" rows="5" cols="50" style="overflow:auto">{#comment}</textarea>
+      </td>
+    </tr>
+    <tr>
+      <td style="width:20%;">{#editcat_status}</td>
+      <td class="row2">
+        <select name="status">
+          <!--VTP_status_option-->
+          <option{#selected}>{#option}</option>
+          <!--/VTP_status_option-->
+        </select>
+	{#editcat_status_info}
+      </td>
+    </tr>
+    <tr>
+      <td colspan="2">&nbsp;</td>
+    </tr>
+    <tr>
+      <td colspan="2" align="center">
+        <input type="submit" name="submit" value="{#submit}" />
+      </td>
+    </tr>
+  </table>
+</form>
Index: trunk/template/default/admin/infos_image.vtp
===================================================================
--- trunk/template/default/admin/infos_image.vtp	(revision 15)
+++ trunk/template/default/admin/infos_image.vtp	(revision 15)
@@ -0,0 +1,58 @@
+<form method="post" action="{#form_action}">
+  <table width="100%">
+    <tr>
+      <th colspan="3">{#infoimage_general} &quot;{#cat_name}&quot;</th>
+    </tr>
+    <tr>
+      <td><div style="margin-left:50px;">{#author}</div></td>
+      <td style="text-align:center;">
+        <input type="text" name="author_cat" value="" maxlength="255" />
+      </td>
+      <td style="text-align:left;">
+        <input type="checkbox" name="use_common_author" value="1" />
+        {#infoimage_useforall}
+      </td>
+    </tr>
+    <tr>
+      <td>
+        <div style="margin-left:50px;">{#infoimage_creation_date} [DD/MM/YYYY]</div>
+      </td>
+      <td style="text-align:center;">
+        <input type="text" name="date_creation_cat" value="" size="12" maxlength="10"/>
+      </td>
+      <td style="text-align:left;">
+        <input type="checkbox" name="use_common_date_creation" value="1" />
+        {#infoimage_useforall}
+      </td>
+    </tr>
+  </table>
+  <table width="100%">
+    <tr>
+      <th colspan="5">{#infoimage_detailed}</th>
+    </tr>
+    <tr>
+      <td colspan="5" align="center">{#navigation_bar}</td>
+    </tr>
+    <tr>
+      <td class="row2" style="text-align:center;">{#thumbnail}</td>
+      <td class="row2" style="text-align:center;">{#infoimage_title}</td>
+      <td class="row2" style="text-align:center;">{#author}</td>
+      <td class="row2" style="text-align:center;">{#infoimage_comment}</td>
+      <td class="row2" style="text-align:center;">{#infoimage_creation_date}</td>
+    </tr>
+    <!--VTP_picture-->
+    <tr>
+      <td style="text-align:center;"><a name="{#link}"><img src="{#thumbnail_url}" alt="" class="miniature" title="{#filename}" /></td>
+      <td style="text-align:center;">{#default_name}<br /><input type="text" name="name-{#id}" value="{#name}" maxlength="255"/></td>
+      <td style="text-align:center;"><input type="text" name="author-{#id}" value="{#author}" maxlength="255"/></td>
+      <td style="text-align:center;"><textarea name="comment-{#id}" rows="3" cols="40" style="overflow:auto">{#comment}</textarea></td>
+      <td style="text-align:center;"><input type="text" name="date_creation-{#id}" value="{#date_creation}" maxlength="10" size="12" /></td>
+    </tr>
+    <!--/VTP_picture-->
+    <tr>
+      <td colspan="5" style="text-align:center;">
+        <input type="submit" value="{#submit}" name="submit" />
+      </td>
+    </tr>
+  </table>
+</form>