Index: /trunk/admin/admin.php
===================================================================
--- /trunk/admin/admin.php	(revision 28)
+++ /trunk/admin/admin.php	(revision 29)
@@ -24,4 +24,5 @@
 $tpl = array( 'menu_title', 'title_default', 'charset' );
 templatize_array( $tpl, 'lang', $handle );
+$vtp->setGlobalVar( $handle, 'user_template', $user['template'] );
 //--------------------------------------- validating page and creation of title
 $page_valide = false;
Index: /trunk/admin/cat_list.php
===================================================================
--- /trunk/admin/cat_list.php	(revision 28)
+++ /trunk/admin/cat_list.php	(revision 29)
@@ -26,4 +26,5 @@
 $vtp->setGlobalVar( $sub, 'cat_permission',  $lang['cat_permission'] );
 $vtp->setGlobalVar( $sub, 'cat_update',      $lang['cat_update'] );
+$vtp->setGlobalVar( $sub, 'user_template',   $user['template'] );
 //---------------------------------------------------------------  rank updates
 if ( isset( $_GET['up'] ) && is_numeric( $_GET['up'] ) )
Index: /trunk/admin/cat_perm.php
===================================================================
--- /trunk/admin/cat_perm.php	(revision 28)
+++ /trunk/admin/cat_perm.php	(revision 29)
@@ -22,4 +22,5 @@
               'submit','menu_users','permuser_parent_forbidden' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //-------------------------------------------------------------- category infos
 if ( isset( $_GET['cat_id'] ) )
Index: /trunk/admin/comments.php
===================================================================
--- /trunk/admin/comments.php	(revision 28)
+++ /trunk/admin/comments.php	(revision 29)
@@ -140,4 +140,5 @@
 $tpl = array( 'stats_last_days','delete','close','submit','open' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //--------------------------------------------------- number of days to display
 if ( isset( $_GET['last_days'] ) ) define( MAX_DAYS, $_GET['last_days'] );
Index: /trunk/admin/group_list.php
===================================================================
--- /trunk/admin/group_list.php	(revision 28)
+++ /trunk/admin/group_list.php	(revision 29)
@@ -21,4 +21,5 @@
               'group_confirm','yes','no','group_list_title' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //-------------------------------------------------------------- delete a group
 $error = array();
Index: /trunk/admin/group_perm.php
===================================================================
--- /trunk/admin/group_perm.php	(revision 28)
+++ /trunk/admin/group_perm.php	(revision 29)
@@ -23,4 +23,5 @@
               'adduser_info_back' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //--------------------------------------------------------------------- updates
 if ( isset( $_POST['submit'] ) )
Index: /trunk/admin/stats.php
===================================================================
--- /trunk/admin/stats.php	(revision 28)
+++ /trunk/admin/stats.php	(revision 29)
@@ -39,4 +39,5 @@
               'stats_visitors_graph_title');
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //--------------------------------------------------- number of days to display
 if ( isset( $_GET['last_days'] ) )
Index: /trunk/admin/thumbnail.php
===================================================================
--- /trunk/admin/thumbnail.php	(revision 28)
+++ /trunk/admin/thumbnail.php	(revision 29)
@@ -268,4 +268,5 @@
   'tn_stats_max','tn_stats_min','tn_stats_mean' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //----------------------------------------------------- miniaturization results
 if ( isset( $_GET['dir'] ) )
Index: /trunk/admin/update.php
===================================================================
--- /trunk/admin/update.php	(revision 28)
+++ /trunk/admin/update.php	(revision 29)
@@ -20,5 +20,5 @@
 function insert_local_category( $cat_id )
 {
-  global $conf, $page;
+  global $conf, $page, $user;
 		
   $site_id = 1;
@@ -32,5 +32,6 @@
     $cat_directory.= '/'.$result['local_dir'];
     // 1. display the category name to update
-    $output = '<img src="./images/puce.gif" alt="&gt;" />';
+    $src = '../template/'.$user['template'].'/admin/images/puce.gif';
+    $output = '<img src="'.$src.'" alt="&gt;" />';
     $output.= '<span style="font-weight:bold;">'.$result['name'][0].'</span>';
     $output.= ' [ '.$result['last_dir'].' ]';
@@ -371,5 +372,5 @@
 function insert_remote_category( $xml_dir, $site_id, $id_uppercat, $level )
 {
-  global $conf;
+  global $conf,$user;
 
   $output = '';
@@ -383,5 +384,6 @@
     $categories[$i] = $name;
 
-    $output.= '<img src="./images/puce.gif">';
+    $src = '../template/'.$user['template'].'/admin/images/puce.gif';
+    $output.= '<img src="'.$src.'" alt="&gt;" />';
     $output.= '<span style="font-weight:bold;">'.$name.'</span>';
     $output.= '<div class="retrait">';
@@ -553,4 +555,5 @@
               'remote_site', 'update_part_research' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //-------------------------------------------- introduction : choices of update
 // Display choice if "update" var is not specified
Index: /trunk/admin/user_perm.php
===================================================================
--- /trunk/admin/user_perm.php	(revision 28)
+++ /trunk/admin/user_perm.php	(revision 29)
@@ -23,4 +23,5 @@
               'adduser_info_back' );
 templatize_array( $tpl, 'lang', $sub );
+$vtp->setGlobalVar( $sub, 'user_template', $user['template'] );
 //--------------------------------------------------------------------- updates
 if ( isset( $_POST['submit'] ) )