Index: /tags/bug-1_3beta-003/template/default/admin/admin.vtp
===================================================================
--- /tags/bug-1_3beta-003/template/default/admin/admin.vtp	(revision 117)
+++ /tags/bug-1_3beta-003/template/default/admin/admin.vtp	(revision 117)
@@ -0,0 +1,222 @@
+<html>
+  <head>
+    <title>{#title_default}</title>
+    <style>
+      a {
+        text-decoration:none;
+        color:#006699;
+      }
+      a:hover {
+        text-decoration:underline;
+      }
+      body,table,input,form,select,textarea {
+        font-family:arial,verdana,sans-serif;
+        font-size:12px;
+      }
+      .miniature {
+        border:solid 1px black;
+      }
+      body {
+        background-color:#E5E5E5;
+      }
+      .titretable1 {
+        color:black;
+        background-color:#D3DCE3;
+        text-align:center;
+        border:2px solid #006699;
+        font-weight:bold;
+        border-bottom:0px;
+      }
+      .grostitre {
+        text-align:center;
+        margin:10px 50px 10px 50px;
+        font-size:20px;
+        width:300px;
+      }
+      .plan {
+        margin:10px 10px 10px 2px;
+        white-space:nowrap;
+      }
+      .table1 {
+        border-collapse:collapse;
+        background-color:#FFFFFF;
+      }
+      .contenucellule {
+        background-color:#EEEEEE;
+        border:2px solid #006699;
+      }
+      .style1 {
+        margin-top:20px;
+      }
+      th {
+        font-weight:bold;
+        background-color:#D3DCE3;
+      }
+      td.row1 {
+        background-color:#E6E4E4;
+      }
+      td.row2,td.throw2 {
+        background-color:#E8E8E8;
+      }
+      td.throw2 {
+        text-align:center;
+        font-weight:bold;
+      }
+      td.row3 {
+        background-color:#eeeeee;
+      }
+      td.row4 {
+        background-color:#cccccc;
+      }
+      .cat_plan {
+        font-weight:bold;
+      }
+      .retrait {
+        margin:10px;
+        margin-left:30px;
+        margin-top:2px;
+      }
+      input,textarea {
+        border-width:1;
+        border-color:#000000;
+        background:#ffffff;
+        color: #000000;
+      }
+      .erreur {
+        color:red;
+        text-align:center;
+      }
+      .errors {
+        text-align:left;
+        margin:25px;
+        background-color:#ffe1e1;
+        border:1px solid red;
+        color:black;
+      }
+      .errors_title {
+        margin:5px;
+        font-weight:bold;
+        font-size:120%;
+        text-align:center;
+        color:red;
+      }
+      .info {
+        color:darkblue;
+        text-align:center;
+      }
+      div.key {
+        margin-left : 10px;
+      }
+      td.choice {
+        text-align : center;
+      }
+<!-- comments CSS style -->
+      .commentsAuthor,.commentsTitle,.commentsInfos,.commentsContent,.commentsNavigationBar {
+        color:black;
+        font-family:arial,sans-Serif;
+        font-size:12px;
+      }
+      .commentsTitle,.commentsAuthor {
+        text-align:center;
+        font-weight:bold;
+      }
+      .commentsInfos {
+        text-align:right;
+        margin:3px 3px 3px 10px;
+        font-size:11px;
+      }
+      .commentsContent {
+        margin:10px;
+      }
+      .commentsTitle {
+        margin-top:15px;
+      }
+      .commentsAuthor {
+        margin:5px;
+      }
+      .commentsNavigationBar {
+        margin:10px;
+      }
+      .tableComment {
+        width:100%;
+        border:2px solid #006699;
+        margin:10px;
+      }
+      .cellAuthor {
+        border-right:1px solid #006699;
+        width:100px;
+      }
+      .cellInfo {
+        border-bottom:1px solid #006699;
+      }
+      .imgLink {
+        border:1px solid black;
+      }
+    </style>
+    <script language="javascript">
+      function SelectAll( formulaire )
+      {
+        len = formulaire.elements.length;
+        var i=0;
+        for( i = 0; i < len; i++)
+        {
+          if ( formulaire.elements[i].type=='checkbox'
+               && formulaire.elements[i].name != 'copie')
+          {
+            formulaire.elements[i].checked = true;
+          }
+        }
+      }
+
+      function Inverser( formulaire )
+      {
+        len = formulaire.elements.length;
+        var i=0;
+        for( i=0; i<len; i++)
+        {
+          if ( formulaire.elements[i].type=='checkbox'
+               && formulaire.elements[i].name != 'copie')
+          {
+            formulaire.elements[i].checked = !formulaire.elements[i].checked;
+          }
+        }
+      }
+    </script>
+    <meta http-equiv="Content-Type" content="text/html; charset={#charset}">
+  </head>
+  <body>
+    <table>
+      <tr>
+        <td width="1%" valign="top">
+          <table class="table1">
+            <tr>
+              <td class="titretable1">{#menu_title}</td>
+            </tr>
+            <tr>
+              <td class="contenucellule">
+                <div class="plan">
+                  <!--VTP_summary-->
+                  {#indent}<img src="../template/{#user_template}/admin/images/puce.gif" alt="&gt; "><a href="{#link}" class="cat_plan">{#name}</a><br />
+                  <!--/VTP_summary-->
+                </div>
+              </td>
+            </tr>
+          </table>
+        </td>
+        <td align="center" valign="top">
+          <div class="grostitre">{#title}</div>
+          <br />
+          <center>
+            <table width="95%" class="table1">
+              <tr>
+                <td class="contenucellule">
+                  {#sub}
+                </td>
+              </tr>
+            </table>
+          </center>
+        </td>
+      </tr>
+    </table>
+  </body>
+</html>
Index: /tags/bug-1_3beta-003/template/default/admin/comments.vtp
===================================================================
--- /tags/bug-1_3beta-003/template/default/admin/comments.vtp	(revision 117)
+++ /tags/bug-1_3beta-003/template/default/admin/comments.vtp	(revision 117)
@@ -0,0 +1,81 @@
+<!--VTP_section-->
+<table style="width:100%;">
+  <tr>
+    <th>
+      {#title}
+      <!--VTP_last_days-->
+      [
+      <!--VTP_last_day_option-->
+      <a href="{#link}" style="{#style}">{#option}</a>{#separation}
+      <!--/VTP_last_day_option-->
+      {#stats_last_days}
+      ]
+      <!--/VTP_last_days-->
+      <!--VTP_open-->
+      [ <a href="{#url}">{#open}</a> ]
+      <!--/VTP_open-->
+      <!--VTP_close-->
+      [ <a href="{#url}">{#close}</a> ]
+      <!--/VTP_close-->
+    </th>
+  </tr>
+</table>
+<!--VTP_start_form-->
+<form action="{#action}" method="post">
+<!--/VTP_start_form-->
+<!--VTP_picture-->
+<div style="border:2px solid #D3DCE3;margin:2px;">
+  <table style="width:100%;">
+    <tr>
+     <td valign="top" width="1px">
+       <!-- the thumbnail of the picture, linked to the full size page -->
+       <a href="{#thumb_url}" title="{#thumb_title}">
+         <img src="{#thumb_src}" class="imgLink" alt="{#thumb_alt}"/>
+       </a>
+     </td>
+     <td>
+       <div style="font-weight:bold;">{#title}</div>
+       <!--VTP_comment-->
+       <table style="width:100%;">
+         <tr>
+           <td>
+             <table class="tableComment">
+               <tr>
+                 <td rowspan="2" valign="top" class="cellAuthor">
+                   <div class="commentsAuthor">{#author}</div>
+                 </td>
+                 <td class="cellInfo">
+                   <div class="commentsInfos">
+                     {#date}<!--VTP_delete--><a href="{#link}" title="{#comments_del}"><img src="../template/{#user_template}/admin/images/delete.gif" style="border:none;margin-left:5px;" alt="[{#delete}]"/></a><!--/VTP_delete-->
+                   </div>
+                 </td>
+               </tr>
+               <tr>
+                 <td>
+                   <div class="commentsContent">{#content}</div>
+                 </td>
+               </tr>
+             </table>
+           </td>
+           <!--VTP_validation-->
+           <td style="width:1px;">
+             <input type="checkbox" name="validate-{#id}" value="true" />
+           </td>
+           <!--/VTP_validation-->
+         </tr>
+       </table>
+       <!--/VTP_comment-->
+     </td>
+    </tr>
+  </table>
+</div>
+<!--/VTP_picture-->
+<!--VTP_submit-->
+<div style="text-align:center;margin:10px;">
+  <input type="submit" name="submit" value="{#submit}" />
+</div>
+<!--/VTP_submit-->
+<!--VTP_end_form-->
+</form>
+<!--/VTP_end_form-->
+<!--/VTP_section-->